CreatePortForwardingRule
CreatePortForwardingRule
/zstack/v1/port-forwardingOperation ID
CreatePortForwardingRuleSince
0.6Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonBody Fields
paramsObjectRequiredRequest body parameter object.
vipUuidStringRequiredThe VIP UUID.
vipPortStartIntegerRequiredThe VIP start port.
vipPortEndIntegerOptional. The VIP end port. If not specified, the value of vipPortStart will be used by default.
privatePortStartIntegerOptional. The start port of the guest IP address (the IP address of the VM NIC). If not specified, the value of vipPortStart will be used by default.
privatePortEndIntegerOptional. The end port of the guest IP address (the IP address of the VM NIC). If not specified, the value of vipPortEnd will be used by default.
protocolTypeStringRequiredThe protocol type of the network traffic.
vmNicUuidStringOptional. The VM NIC UUID.
allowedCidrStringOptional. The source CIDR. The port forwarding rule is only applied to the traffics of the source CIDR. If not specified, 0.0.0.0/0 will be used by default.
nameStringRequiredThe resource name.
descriptionStringOptional. The detailed description of the resource.
resourceUuidStringOptional. The resource UUID. If specified, the system will not allocate randomly a UUID to the resource.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
